#pragma once

#include <windows.h>
#include <string>

#define DLLEXPORT __declspec(dllexport)

#define OSC_TYPE_ALL	0
#define OSC_TYPE_INT	1
#define OSC_TYPE_FLOAT	2
#define OSC_TYPE_STRING	4

extern "C" DLLEXPORT int open(HWND targetWindowHandle, unsigned int port);
extern "C" DLLEXPORT int close();
extern "C" DLLEXPORT int addListener(std::string address, unsigned int messageID, unsigned int dataType = OSC_TYPE_ALL);
extern "C" DLLEXPORT int removeListener(std::string address);
extern "C" DLLEXPORT int testMsg(HWND windowHandle, unsigned int messageID);
